---
title: List tokens
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[AI Search](https://developers.cloudflare.com/api/python/resources/ai_search)

[Tokens](https://developers.cloudflare.com/api/python/resources/ai_search/subresources/tokens)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List tokens

aisearch.tokens.list(TokenListParams\*\*kwargs) -> SyncV4PagePaginationArray\[[TokenListResponse](<https://developers.cloudflare.com/api/python/resources/ai_search#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)>)]

GET/accounts/{account\_id}/ai-search/tokens

List stored AI Search credentials in the account without exposing their secrets.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20ai_search.tokens%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

page: Optional\[int]

Page number (1-indexed).

maximum100

minimum1

[Link to this property](<#(resource)%20ai_search.tokens%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page%20%3E%20(schema)>)

per\_page: Optional\[int]

Number of results per page.

maximum100

minimum1

[Link to this property](<#(resource)%20ai_search.tokens%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page%20%3E%20(schema)>)

search: Optional\[str]

Filter tokens whose name contains this string (case-insensitive).

maxLength256

[Link to this property](<#(resource)%20ai_search.tokens%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20search%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class TokenListResponse: …

</summary>

id: str

formatuuid

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

cf\_api\_id: str

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20cf_api_id">Link to this property</a>

created\_at: datetime

formatdate-time

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

modified\_at: datetime

formatdate-time

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

name: str

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

created\_by: Optional\[str]

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20created_by">Link to this property</a>

enabled: Optional\[bool]

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

legacy: Optional\[bool]

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20legacy">Link to this property</a>

modified\_by: Optional\[str]

<a href="#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)%20%3E%20(property)%20modified_by">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ai_search.tokens%20%3E%20(model)%20token_list_response%20%3E%20(schema)>)

### List tokens

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.aisearch.tokens.list(
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
)
page = page.result[0]
print(page.id)
```

200 example

```
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "cf_api_id": "cf_api_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "created_by": "created_by",
      "enabled": true,
      "legacy": true,
      "modified_by": "modified_by"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "cf_api_id": "cf_api_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "created_by": "created_by",
      "enabled": true,
      "legacy": true,
      "modified_by": "modified_by"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
```